# inspired from fedora spec file

%define github_name     simplepie
%define composer_name   simplepie
%define composer_vendor simplepie

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:       php-%{composer_name}
Version:    1.4.3
Release:    %mkrel 2
Summary:    A simple Atom/RSS parsing library for PHP
Group:      Development/PHP
License:    BSD
URL:        http://simplepie.org/
Source0:    https://github.com/simplepie/simplepie/archive/%{github_name}-%{version}.tar.gz
# Adapt autoloader for installation tree
Patch0:     %{name}-rpm.patch
BuildArch:  noarch

Requires:    php-curl
Requires:    php-dom
Requires:    php-iconv
Requires:    php-mbstring
Requires:    php-pcre
Requires:    php-pdo
Requires:    php-xml
# Optional: memcache, memcached, redis, xmlreader, zlib
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
SimplePie is a very fast and easy-to-use class, written in PHP, that puts the 
'simple' back into 'really simple syndication'. Flexible enough to suit 
beginners and veterans alike, SimplePie is focused on speed, ease of use, 
compatibility and standards compliance.

Autoloader: %{php_libdir}/%{name}/autoloader.php


%prep
%setup -qn %{github_name}-%{version}

%patch0 -p1 -b .rpm

# fix rpmlint warnings
find . -type f -exec chmod -x {} \;
# drop demo; contains flash files
rm -rf demo

%build

%install
mkdir -p %{buildroot}/%{php_libdir}/
cp -ar library %{buildroot}/%{php_libdir}/%{name}

install -pm 644 autoloader.php \
    %{buildroot}/%{php_libdir}/%{name}/autoloader.php

%files
%doc LICENSE.txt
%{php_libdir}/%{name}


%changelog
* Sun May 07 2017 guillomovitch <guillomovitch> 1.4.3-2.mga6
+ Revision: 1099486
- kill optional dependency on php-IDNA_Convert

* Wed Apr 19 2017 guillomovitch <guillomovitch> 1.4.3-1.mga6
+ Revision: 1096837
- imported package php-simplepie

